Get a contact
GET
/workspaces/{workspaceId}/contacts/{contactId}
Get the specified contact given its ID.
Payload della risposta
accountIds
array of string
The list of account ids for the contact.
attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or
a non-empty array of those, or null
companyRefs
array of string
The list of company references for the contact.
computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available,
from the displayName attribute, the firstName attribute, the emailaddress identifier,
or the phonenumber identifier.
createdAt
string
obbligatorio
featuredIdentifiers
array of object
The list of identifiers for the contact.
Mostra attributi secondari
featuredIdentifiers.key
string
obbligatorio
The identifier key. This can be from your custom identifier key or one of the built-in keys.
featuredIdentifiers.value
string
obbligatorio
The identifier value. This represents the actual value for the identifier.
id
string
obbligatorio
The unique identifier for the contact.
identifierCount
integer
The number of identifiers for the contact.
isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers,
or only has visitorid identifiers.
listIds
array of string
The list of list ids for the contact.
updatedAt
string
obbligatorio
workspaceId
string
Your workspace identifier.
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/contacts/{contactId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Let's establish some of our data that will be used in the following examples:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
- Contact ID: 12bd0e40-9361-4e32-8b26-99b4ab7eae09
Get a contact without specifying attributes
In this example, we're fetching the contact without specifying the attributes. To know more about attributes, please refer to this documentation.
Esempio di codice
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \Esempio di codice
{
"id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
"computedDisplayName": "John",
"featuredIdentifiers": [
{
"key": "emailaddress",
"value": "contacts@bird.com"
}
],
"identifierCount": 1,
"attributes": {
"emailaddress": [
"contacts@bird.com"
],
"firstName": "John",
"initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
"lastName": "Doe",
"timezone": "America/Sao_Paulo"
},
"listIds": [
"12bd0e40-9361-4e32-8b26-99b4ab7eae09"
],
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z"
}Get a contact specifying attributes
In this example, we are fetching the contact specifying the attributes. To know more about attributes, please refer to this documentation.
Esempio di codice
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09?attribute=countryCode" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \Esempio di codice
{
"id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
"computedDisplayName": "John",
"featuredIdentifiers": [
{
"key": "emailaddress",
"value": "contacts@bird.com"
}
],
"identifierCount": 1,
"attributes": {
"emailaddress": [
"contacts@bird.com"
],
"firstName": "John",
"initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
"lastName": "Doe",
"timezone": "America/Sao_Paulo",
"countryCode": null
},
"listIds": [
"12bd0e40-9361-4e32-8b26-99b4ab7eae09"
],
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z"
}